# 邮箱|deepin-mail|

## 概述

邮箱是一款简单好用的邮件管理应用程序，可以同时管理多个邮箱帐号。

## 使用入门

您可以通过以下方式运行或关闭邮箱，或者创建快捷方式。

### 运行邮箱

1. 单击任务栏上的启动器图标 ![deepin_launcher](../common/deepin_launcher.svg)，进入启动器界面。
2. 上下滚动鼠标滚轮浏览或通过搜索，找到邮箱图标 ![deepin_mail](../common/deepin_mail.svg)，并单击运行，打开邮箱窗口大小支持记忆功能 。
3. 右键单击 ![deepin_mail](../common/deepin_mail.svg)，您可以：
   - 单击 **发送到桌面**，在桌面创建快捷方式。
   - 单击 **发送到任务栏**，将应用程序固定到任务栏。
   - 单击 **开机自动启动**，将应用程序添加到开机启动项，在电脑开机时自动运行该应用程序。

### 关闭邮箱

在邮箱主界面单击 ![icon_menu](../common/icon_menu.svg) ，选择 **退出** ，直接退出应用程序。

关闭邮箱主界面时是否退出应用程序，取决于设置界面 “关闭主窗口” 处的设置项。

- 选择 **最小化到系统托盘**，关闭主窗口时，应用程序将隐藏到系统托盘。
- 选择 **退出**，关闭主窗口时直接退出应用程序。
- 选择 **每次询问**，每次关闭主窗口时会弹出确认弹框。

## 登录

1. 打开邮箱，选择邮箱帐号类型，如果没有对应的类型，则选择其他邮箱，单击 **继续**。

   ![select_mailbox](fig/select_mailbox.png)

2. 在邮箱登录界面输入邮箱帐号、密码或授权码后，单击 **登录**。对于需要授权码登录的帐号，单击 **获取授权码** 查看获取方式。

   > ![tips](../common/tips.svg) 窍门：单击帮助按钮![help](../common/help.svg)，可以查看邮箱的帮助手册。

   ![login_interface](fig/login_interface.png)

3. 如果选择的邮箱类型不在服务器数据库中，则需单击 **手动配置** 手动添加。在手动配置界面，支持POP3/IMAP/Exchange（EWS）服务配置，选择的协议类型不同，配置参数也略有差异。例如POP3服务支持服务器备份，IMAP服务支持本地备份。

   ![email_config](fig/email_config.png)
   
> ![notes](../common/notes.svg) 说明：QQ邮箱、网易邮箱（163.com及126.com）、新浪邮箱等需要开启POP3/IMAP/Exchange等服务后才可以在邮箱中使用。开启服务后，服务端会产生授权码。在登录界面输入邮箱帐户及授权码即可登录邮箱。如果登录失败，单击 **查看帮助** 则可查看对应的帮助信息。

![help_info](fig/help_info.png)

## 主界面

邮箱主界面包括邮件视图和日历视图，登录成功后默认进入邮件视图。邮件视图由常用文件夹、邮箱帐户、邮箱目录、邮件列表、邮件正文、写邮件、收邮件、通讯录、搜索等组成。

![maininterface](fig/maininterface.png)

<table class="block1">
    <caption>主界面</caption>
    <tbody>
        <tr>
            <td width="20px">1</td>
            <td width="120px">写邮件</td>
            <td>快速开始写普通邮件和会议邮件。</td>
        </tr>
         <tr>
            <td>2</td>
            <td>收邮件</td>
            <td>从服务器同步邮箱数据，包括邮件，地址簿等信息。</td>
        </tr>
        <tr>
            <td>3</td>
            <td>搜索</td>
            <td>快速查找本地已加载的邮件。</td>
        </tr>
        <tr>
            <td>4</td>
            <td>主菜单</td>
            <td>进行邮箱相关设置、切换窗口主题，查看帮助手册等操作。</td>
        </tr>
         <tr>
            <td>5</td>
            <td>常用文件夹</td>
            <td>展示所有邮箱帐户的常用邮件。</td>
        </tr>
        <tr>
            <td>6</td>
            <td>邮箱帐户</td>
            <td>展示添加的所有邮箱帐户列表。</td>
        </tr>
        <tr>
            <td>7</td>
            <td>邮箱目录</td>
            <td>邮箱目录用于分类整理邮件数据，不同类别的邮箱目录可能不同。除了通用固定目录外，还可以新建邮箱目录。</td>
        </tr>
         <tr>
            <td>8</td>
            <td>邮件列表</td>
            <td>展示邮箱目录下的所有邮件，显示内容包括：发件人、主题、摘要、发件时间及标星状态。</td>
        </tr> 
          <tr>
            <td>9</td>
            <td>邮件正文</td>
            <td>展示邮件标题、收发件人信息、时间及正文内容。</td>
        </tr> 
   </tbody>
   </table>




## 常用文件夹

常用文件夹将所有邮箱帐号的常用文件夹集中在一起，便于快速查看邮件，添加常用文件夹有两种方式：

- 在邮箱主界面，将鼠标悬浮于常用文件夹区域，出现添加按钮 ![add_normal](../common/add_normal.svg) 后单击。选择将“所有收件箱”、“所有未读邮件”、“所有星标邮件”、“所有草稿箱”或“所有已发送”添加到常用文件夹。

  ![add_hot_folder1](fig/add_hot_folder1.png)
  
  去勾选后则可以移除常用文件夹。

- 在邮箱目录中，选中需要添加的邮箱目录并单击右键，单击 **添加至常用文件夹**。

  ![add_hot_folder2](fig/add_hot_folder2.png)

  再次单击 **移除常用文件夹** 则可以移除。

## 新建邮箱目录

邮箱目录用于分类整理邮件数据，不同协议的邮箱目录可能不同，请以实际情况为准。例如pop协议的邮箱帐号有星标邮件目录，用于存放星标邮件。

除了通用固定的目录外，还可以新建邮箱目录。

1. 在邮箱主界面，右键单击邮箱帐号，并选择 **新建文件夹**。

   ![new_folder](fig/new_folder.png)

2. 输入文件夹名称后，新的邮箱目录创建完成，拖拽对应目录还可以在同层级内调整顺序。

3. 右键单击新的邮箱目录，可以进行重命名、创建子文件夹、批量删除等操作。

   ![right_click_menu](fig/right_click_menu.png)

## 写邮件

1. 在邮箱主界面，单击写邮件按钮 ![email_button](../common/email_button.svg)，进入写邮件界面。支持通过快捷键 **Ctrl** + **N** 打开新的写邮件窗口。

2. 输入收件人邮箱帐号，或单击添加按钮 ![add_normal](../common/add_normal.svg) 从通讯录中选择收件人，还可以选择抄送和密送。对于一对多的邮件发送场景，输入第一个帐号后，收件人下方会显示其他收件推荐人。

3. 邮件正文支持富文本编辑，包括插入图片、表情、链接等功能，支持添加附件、选择邮件模板、签名等功能。默认签名为当前邮箱帐号，单击“签名”下拉框，可以编辑签名信息。编辑时支持部分快捷键功能。同时也支持纯文本编辑，不可插入图片、表情，改变字体颜色等，可添加附件、选择邮件模板、签名等功能。

4. 编辑完成后，单击 **发送** 即可。单击更多按钮 ![more](../common/more.svg)，还可以选择定时发送、分别发送等。 

<img src="fig/write_email.png" alt="write_email" style="zoom: 50%;" />

## 收邮件

收邮件是从服务器同步邮件，系统默认每15分钟同步1次邮箱数据。每次登录邮箱后，可以选择每次收取邮件的数量。

收取邮件有两种方式：

- 选中邮箱帐户，单击收取邮件按钮 ![refresh_button](../common/refresh_button.svg)。

- 选中邮箱帐户并单击右键，选择 **收取邮件**。

## 查看邮件

1. 在邮件列表中单击 **所有邮件**，可以选择查看所有邮件、未读邮件、星标邮件、含附件的邮件。

2. 单击选中的邮件后，可查看该邮件的主题、收发件人、时间及正文等信息。单击右键，则可以选择添加标签、置顶邮件、聚合、移动、字符集切换等操作。如果您选中多个邮件，则不会显示邮件内容。

   - 按住 **Ctrl** 键，用鼠标左键依次单击邮件，可选中多个邮件；

   - 用鼠标左键单击A邮件，然后按住 **Shift** 键 ，再用左键单击B邮件，可选中从A到B之间的所有邮件。

3. 单击发件人或收件人邮箱，可查看收发件人的详细信息及往来邮件，还可以将他们添加到通讯录。

   ![contact_info](fig/contact_info.png)

4. 在邮件正文区域，可以对邮件进行回复、编辑、转发、标星、移动、删除等操作。

   ![email_text](fig/email_text.png)

## 搜索邮件

邮件搜索功能可以快速定位本地已加载的邮件。

1. 在邮箱主界面单击搜索按钮 ![search](../common/search.svg)，输入关键字后，可以选择“主题” 、“全文 ”、“发件人”和“收件人”等搜索邮件。

2. 单击筛选按钮 ![filter](../common/filter.svg)，还可以进行更精确的搜索。在筛选界面，输入发件人、收件人信息，输入主题、全文关键字，选择是否有附件、选择时间范围进行精确搜索。

   ![search](fig/search.png)

## 聚合邮件

聚合邮件可以将发件人或主题关键字相同的邮件聚合在一起，聚合条件则会自动添加到帐号设置界面的聚合页签中。

- 按发件人聚合：选中一个邮件并单击右键，选择 **聚合 > 聚合来自xxx的所有邮件**。所有来自xxx发件人的邮件都会聚合在一起。

- 按主题关键字聚合：选中一个邮件并单击右键，选择 **聚合 > 聚合特定主题关键字的所有邮件**，弹出选框。输入关键词后，单击 **确定** 后，邮件主题中包含该关键词的邮件都会聚合在一起。

![syndicate_mail](fig/syndicate_mail.png)

右键单击已聚合的邮件，选择 **取消聚合**，已聚合的邮件则会分开显示，聚合页签中的聚合条件也会自动删除。

如果删除了聚合页签中的聚合条件，相关的邮件也会取消聚合。

## 移动邮件

将当前文件夹的邮件移动到其他文件夹，可以移动一个邮件，或移动该发件人的所有邮件。

![move](fig/move.png)

## 删除邮件

删除邮件可以选择单个删除或批量删除，删除后的邮件会存放到“已删除”目录，您还可以在 **已删除** 目录中永久删除邮件。

### 单个删除

单个删除邮件有两种方式：

- 在邮件列表选中一个或多个邮件并单击右键，选择 **删除**。
- 在邮件正文中，单击删除按钮 ![trash](../common/trash.svg)。

### 批量删除

选中要删除的邮箱目录并单击右键，选择 **批量删除**，您可以删除一定时间范围内的邮件，如删除一周前，一个月前的邮件等。

## 导入邮件

在邮箱目录列表中，选中邮箱目录并单击右键，选择 **导入邮件**。弹出文件管理器窗口，选择需要导入的邮件后，单击 **打开** 即可导入到指定目录。

>  ![notes](../common/notes.svg) 说明：Exchange协议不支持导入邮件。

## 导出邮件

导出邮件可以单独导出，也支持批量导出。

### 单个导出

1. 单个导出邮件有两种方式：
   - 在邮件列表选中一个或多个邮件并单击右键，选择 **导出**。

   - 在邮件正文中，单击更多操作按钮 ![more](../common/more.svg) 后，选择 **导出**。
2. 弹出文件管理器窗口，选择存储路径后单击 **保存**。

### 批量导出

选中指定的邮箱目录并单击右键，选择 **导出邮件**，弹出文件管理器窗口，选择存储路径后单击 **保存**。

## 通讯录

在邮箱主界面，单击通讯录按钮 ![contact_button](fig/contact_button.png)，进入通讯录视图。查看通讯录列表及联系人的信息，还可以添加新的联系人、添加联系人分组、导入联系人、导出联系人等。

![contact](fig/contact.png)

### 添加联系人

在通讯录界面中，可以添加单个联系人或批量导入联系人。

**添加单个联系人**

1. 单击添加按钮 ![add_normal](../common/add_normal.svg)，选择 **添加联系人**。
2. 填写联系人名称、邮箱、电话、地址等信息，选择邮箱帐号后，单击 **保存**。

**编辑单个联系人**

1. 单击编辑按钮 ![add_normal](../common/edit_normal.png)，选择 **编辑联系人**。
2. 填写联系人名称、邮箱、电话、地址等信息，选择邮箱帐号后，单击 **保存**。

**批量导入联系人**

1. 单击添加按钮 ![add_normal](../common/add_normal.svg)，选择 **导入联系人 > 导入vCard文件** 或 **导入CSV文件** 。

2. 选择邮箱帐号后，单击 **确定**。

3. 弹出文件管理器窗口，选择待导入的 .vcf或.csv格式的文件。对于.csv格式的文件，可以选择通讯录字段进行映射。

   ![contact_mapping](fig/contact_mapping.png)

对于已添加的联系人，可以进行编辑、删除、查看往来邮件等操作。

### 添加联系人分组

添加联系人后，可以根据使用需求进行分组，首先添加联系人分组。

1. 单击添加按钮 ![add_normal](../common/add_normal.svg)，选择 **添加联系人分组**。

2. 输入分组名称后，单击 **确定**。

3. 勾选对应的联系人后，再次单击 **确定** 完成分组。

选中分组并单击右键，可以进行重命名、管理联系人、删除分组等操作。

### 导出联系人

根据邮箱帐号、所有联系人、联系人分组等方式导出联系人。对于两个或两个以上的联系人，可以选择导出到同一文件或单独文件。

>  ![notes](../common/notes.svg) 说明：当导出的联系人数量超过500时，只能导出到同一文件。

## 邮箱日历

在邮箱主界面，单击日历图标 ![calendar_button](../common/calendar_button.svg)，可以查看日历并管理日程。

>  说明：当前邮箱支持QQ邮箱、网易邮箱（163.com及126.com)的CalDav日历协议，在对应服务商的网页端开启协议后，可以实现与服务器日程同步。 

![calendar_view](fig/calendar_view.png)

### 新建日程

1. 在日历视图中，单击左上角的 **月**、**周**、**日** 查看月视图、周视图和日视图。

2. 在月、周或者日视图中，选中一个日期或时间段。

3. 双击空白处、单击鼠标右键或单击菜单栏的新建按钮![add_normal](../common/add_normal.svg)，弹出新建日程窗口。

   ![create_schedule](fig/create_schedule.png)

   

4. 单击 **保存** 按钮，创建日程。

### 编辑日程

1. 在月、周或者日视图中，单击日程标签。

   ![editor](fig/calendar_edit.png)

2. 单击编辑按钮，弹出编辑日程窗口。

3. 修改日程的相关参数后，单击 **保存**。

### 新建会议邮件

1. 在日历视图中，单击左上角的 **月**、**周**、**日** 查看月视图、周视图和日视图。
2. 在月、周或者日视图中，选中一个日期或时间段。
3. 双击空白处、单击鼠标右键或单击菜单栏的新建按钮<img src="fig/email_button2.png" alt="contact_button" style="zoom:50%;" />，弹出新建会议邮件窗口。
4. 单击 **发送** 按钮，创建会议邮件。

![editor](fig/meeting.png)

### 编辑会议邮件

1.在月、周或者日视图中，单击日程标签。

![editor](fig/calendar_edit.png)

2.单击编辑按钮，弹出编辑日程窗口。

3.修改会议邮件的相关参数后，单击 **发送**。


## 主菜单

在邮箱主菜单中，可以进行邮箱相关设置、切换窗口主题，查看帮助手册等操作。

### 设置

在邮箱主界面，单击 ![icon_menu](../common/icon_menu.svg)。进入邮箱设置界面，可进行帐号设置、基本设置、反垃圾设置、网络设置及高级设置。

#### 帐号设置

在帐号设置界面，可以添加或删除邮箱帐号，单击添加按钮 ![add](../common/add.svg)，可继续添加新的邮箱帐号。选中邮箱帐号后，单击 **编辑** 后出现删除按钮 ![delete_account](../common/delete_account.svg)，可选择删除邮箱帐号。每个邮箱帐号都可以进行邮箱、签名、过滤规则、聚合条件设置。

![ID_setting](fig/ID_setting.png)
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

**邮箱设置**：单击 **邮箱设置** 页签，可以修改头像，设置邮箱别名，配置服务器。

**签名**：默认签名为邮箱帐号，单击 **签名** 页签，可以编辑当前签名或添加新的签名。

**过滤规则**：单击 **过滤规则** 页签，可以设置多个条件对邮件进行组合过滤，只要满足一个条件的邮件就会执行特定操作。例如：当收到某人的邮件时直接移动到垃圾邮件。

邮件将按过滤规则列表从上至下的顺序进行检查，当规则出现冲突时执行较上方的规则，且同一封邮件仅能命中一条规则，之后将不再向下检查。

![filtering_rules](fig/filtering_rules.png)
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

**聚合**：单击 **聚合** 页签，查看邮箱帐号下的所有邮件聚合条件。如果删除了聚合条件，相关的邮件取消聚合。

![aggregation_settings](fig/aggregation_settings.png)
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

#### 基本设置

**常规设置**：设置默认邮件客户端、开机启动及界面字体大小。

![basic_setting](fig/basic_setting.png)
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

**邮件设置**：

- 开启会话模式：勾选后，相关联的邮件在邮件列表上会合并为一封会话邮件，提高处理邮件的效率。
- 弹窗提醒：勾选后，每次收到新邮件时会弹出提示框。
- 自动收信时间间隔：默认收信时间间隔为15分钟，可以自定义。
- 写邮件默认样式：设置写邮件的字体、字号和颜色。

**视图**：对于邮件列表和正文，可以选择左右视图和上下视图。

**快捷键**：邮箱中常用操作的快捷键。

#### 反垃圾设置

主要设置邮箱黑名单，在黑名单列表里的邮箱发过来的邮件全部拒收，可添加、删除、导出及导入黑名单。

#### 网络设置

根据使用需求设置代理，支持设置默认代理和针对不同邮箱单独设置代理。

- 不使用代理服务器：系统默认选项。
- 使用系统代理设置：在 **控制中心 > 网络** 界面设置对应的系统代理。
- 自定义代理服务器：选择HTTP、SOCKS4或SOCKS5代理，并填写对应的服务器IP地址、端口号、用户名及密码。

![network_setting](fig/network_setting.png)

#### 高级设置

基于邮箱数据安全考虑，建议开启安全锁，设置开启密码。当鼠标和键盘超过15分钟未操作，邮箱将自动锁定，唤醒时需要输入开启密码。

#### 恢复默认

单击 **恢复默认** ，将基本设置界面恢复为默认设置。

### 工具

1. 在邮箱主界面，单击 ![icon_menu](../common/icon_menu.svg)。
2. 单击 **工具**，管理邮件模板和标签。

### 主题

窗口主题包含浅色主题、深色主题和系统主题。

1. 在邮箱主界面，单击 ![icon_menu](../common/icon_menu.svg)。
2. 单击 **主题**，选择一个主题颜色。


### 帮助

1. 在邮箱主界面，单击 ![icon_menu](../common/icon_menu.svg)。
2. 单击 **帮助** ，查看帮助手册，进一步了解和使用邮箱。


### 关于

1. 在邮箱主界面，单击 ![icon_menu](../common/icon_menu.svg)。
2. 单击 **关于**，查看邮箱的版本和介绍。

### 退出

1. 在邮箱主界面，单击 ![icon_menu](../common/icon_menu.svg)。
2. 单击 **退出**。

